libmsn 4.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends
MSN::Passport Class Reference

`#include <passport.h>`

List of all members.

## Public Member Functions
| Passport (std::string email_)
| Passport (const char *email_)
| operator std::string () const
const char * | c_str () const
bool | operator== (const Passport &other) const
## Friends
bool | operator== (const Passport &p, const std::string &other)
bool | operator== (const std::string &other, const Passport &p)
std::istream & | operator>> (std::istream &is, Passport &p)
std::ostream & | operator<< (std::ostream &os, Passport &p)

## Detailed Description

A Passport represents a passport address. It is used to validate these addresses for functions that require it.

Todo:

  Document validation rules.

  Investigate subclassing std::string to reduce code duplication.

The documentation for this class was generated from the following files:

- /home/salem/libmsn/tags/libmsn-4.2/msn/passport.h
- /home/salem/libmsn/tags/libmsn-4.2/msn/passport.cpp

All Classes Namespaces Functions Variables Enumerations Enumerator